-- FirstStage generated output file
require "scripts/style"

SetDefaultStyle( DefaultStyle );

local ok="ok" ;
local okname="OK";
local name="ok";
local okcommand = gDialogTable.okcommand;

if (gDialogTable.oklabel) then
	ok = gDialogTable.oklabel ;
end

if (gDialogTable.name) then
	name = gDialogTable.name;
end

if (gDialogTable.okname) then
	okname = gDialogTable.okname;
end

local d = MediumDialog

MakeDialog
{
	Bitmap
	{
		name="yesnobackground",        
		image = "backgrounds/dialog",
		x = kCenter,
		y = kCenter,

		SetStyle( ButtonStyle ),
		Button
		{
			close = true,
			flags = 5,
			label=ok,
			name = okname,
			cancel=true,
			x = kCenter,
			y = kMax-85,
			command=okcommand
		},
		SetStyle( DialogTitleText ),
		Text{ 
			font = StandardButtonFontHuge,
			x=0,y=40,w=kMax,h=30,
			flags = kHAlignCenter + kVAlignTop,
			label = gDialogTable.title 
		},
		SetStyle( DialogBodyText ),
		Text{ 
			x=40,y=70,w=kMax-40,h=150,
			label=gDialogTable.body 
		},
	};

} -- MakeDialog

gDialogTable = {}
